// 2D-KS $Id: Range Counting Tree
// Author:  Raul H. C. Lopes

/**********************************************************************************
 * Package: 2D-KS                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Range Counting Tree                                                       *
 *                                                                                *
 * Author (alphabetical):                                                         *
 *      Raul H. Cardoso Lopes  - Brunel Unviversity                               *
 *                               Federal University of Espirito Santo             *
 *          http://www.inf.ufes.br/~/raulh                                        *
 *          email: rlopes at cern dot ch                                          *
 *                 rhclopes at yahoo dot com dot br                               *
 *                                                                                *
 * Copyright (c) 2007:                                                            *
 *      Brunel University                                                         *
 *                                                                                *
 * This program is free software; you can redistribute it and/or modify           *
 * it under the terms of the GNU General Public License as published by           *  
 * the Free Software Foundation; either version 2 of the License, or (at          *
 * your option) any later version.                                                * 
 *                                                                                *
 * This program is distributed in the hope that it will be useful, but            *
 * WITHOUT ANY WARRANTY; without even the implied warranty of                     *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU              *
 * General Public License for more details.                                       *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
//#include <sys/time.h>
#include <time.h>

#include "ff.h"

double
time_diff(clock_t t1, clock_t t0)
{ 
  return ((double) (t1 -t0)) / CLOCKS_PER_SEC;
}

int main( int argc, char **argv ) {

  int n0 ;    /* number of points in each set */
  int n1 ; 
  point_t *pts;
  
  if ( argc != 3 ) {
    fprintf( stderr, "\nUsage: ff n0 n1\
                      \nn0: size of first sample\
                      \nn1: size of second sample\n") ;
  } else {
    sscanf(argv[1],"%d", &n0);
    sscanf(argv[2],"%d", &n1);
    read_sample( &pts, n0+n1);
    clock_t t0 = clock();
    double f =statistic( pts, n0, n1 );
    clock_t t1 = clock();
    fprintf( stdout, "time: %lf dist: %lf\n", time_diff(t1,t0), f) ;
  }

  return 0;
}

//# vi:sw=2 ts=2 sm et cindent backspace=eol,start,indent lines=35 columns=120
